org.apache.solr.client.solrj.impl

## Class SolrHttpClientContextBuilder.AuthSchemeRegistryProvider

- java.lang.Object
- - org.apache.solr.client.solrj.impl.SolrHttpClientContextBuilder.AuthSchemeRegistryProvider

Enclosing class:
  SolrHttpClientContextBuilder

    public abstract static class SolrHttpClientContextBuilder.AuthSchemeRegistryProvider
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AuthSchemeRegistryProvider()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract org.apache.http.config.Lookup<org.apache.http.auth.AuthSchemeProvider>` `getAuthSchemeRegistry()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthSchemeRegistryProvider

    public AuthSchemeRegistryProvider()

### Method Detail

#### getAuthSchemeRegistry

    public abstract org.apache.http.config.Lookup<org.apache.http.auth.AuthSchemeProvider> getAuthSchemeRegistry()